Bug 250452 - SElinux prevents brctl (called from libvirtd init script) setting up virbr0
SElinux prevents brctl (called from libvirtd init script) setting up virbr0
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
7
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-01 14:06 EDT by Ewan Mac Mahon
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-02 17:45:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sealert output corresponding to the quoted setroubleshoot log message (2.46 KB, text/plain)
2007-08-01 14:06 EDT, Ewan Mac Mahon
no flags Details

  None (edit)
Description Ewan Mac Mahon 2007-08-01 14:06:31 EDT
Description of problem:

On current up to date F7 the virbr0 interface for virtual machines is not 
created with selinux in enforcing mode.

Version-Release number of selected component (if applicable):
selinux-policy-2.6.4-29.fc7

How reproducible:
Completely.


Steps to Reproduce:
1. Boot F7 system, starting libvirtd
2. Inspect list of network interfaces.

Also, 'service libvirtd restart' also generates the same error.

Actual results:
No virbr0 appears

Expected results:
libvirtd sets up virbr0

Additional info:
Booting the system with enforcing=0 works as expected, and the virbr0 bridge 
interface is created. With selinux in enforcing mode the interface is not 
created (though libvirtd otherwise starts up), and se-troubleshoot reports:
 "SELinux is preventing /usr/sbin/brctl (brctl_t) "getattr" to /sys/class/net
/virbr0/bridge/forward_delay (sysfs_t)." (corresponding sealert output 
attached).
Comment 1 Ewan Mac Mahon 2007-08-01 14:06:31 EDT
Created attachment 160444 [details]
sealert output corresponding to the quoted setroubleshoot log message
Comment 2 Daniel Walsh 2007-08-01 16:34:35 EDT
Fixed in selinux-policy-2.6.4-30.fc7
Comment 3 Ewan Mac Mahon 2007-08-01 19:30:43 EDT
I've retried with selinux-policy-2.6.4-30.fc7 from updates-testing, and it has 
indeed fixed it; thanks.

Note You need to log in before you can comment on or make changes to this bug.